Subject: Re: Request for format type values for TN3270E configuration MIB

From: [email-masked]
Date: Tue, 13 Jan 98 13:57:06 EST

Derek,

>> I'd like to enlarge on one issue that's somewhat hidden in the
>> MIB-related information Michael included in the general meeting
>> minutes.  The issue concerns the request we made for values for
>> the two ENUMs we added to the TCP connection table:  Client ID
>> Format and Miscellaneous Info Format.  The first of these was
>> empty (except for 'unknown') in the draft of the configuration
>> MIB we discussed, and the second will become empty when we remove
>> the two IP address values to a Proxy Client Address Type object.

>The following client ID formats spring to mind:

>4-byte IP + 2-byte TCP
>IPv6
>Domain name
>Truncated domain name (i.e. omitting leading portion)
>ASCII string of unknown significance
>Certificate
>Other

Here is what I currently have:
tn3270eTcpConnClientIdFormat OBJECT-TYPE
    SYNTAX      INTEGER {
                          none(0),
                          other(1),
                          ipv4(2),
                          ipv6(3),
                          domainName(4),
                          truncDomainName(5),
                          string(6),
                          certificate(7),
                          userId(8),
                          x509dn(9)
                        }
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "The format of a corresponding tn3270eTcpConnClientId
         object:

         ENUMERATION        OCTETs  DESCRIPTION
         none(0)              0     Not specified
         other(1)           1..512  Implementation specific
         ipv4(2)              6     4-octet IP Address plus
                                    2-octet TCP Port
         ipv6(3)              18    16-octet IPv6 Address
                                    plus 2-octet TCP Port
         domainName(4)      1..512  The DNS name of a
                                    client.
         truncDomainName(5) 1..512  The truncated DNS name
                                    of a client.
         string(6)          1..512  Unknown Utf8String
         certificate(7)     1..512  certificate
         userId(8)          1..8    Client's userid
         x509dn(9)          1..512  X.509 Distinquished Name"
    ::= { tn3270eTcpConnEntry 15 }

tn3270eTcpConnClientId OBJECT-TYPE
    SYNTAX      OCTET STRING (SIZE (0..512))
    MAX-ACCESS  read-only
    STATUS      current
    DESCRIPTION
        "Additional client identification information whose
         content is defined by the corresponding value of
         tn3270eTcpConnClientIdFormat. The purpose of this
         object is to provide an alternate means of
         identifying a client other than though a remote
         address (tn3270eTcpConnRemAddress)."
    ::= { tn3270eTcpConnEntry 16 }

I'm still intending to have the ClientIdFormat values administered by
IANA and am still working on the MIB to enable this.

Regards,

Ken